Bug 161571 - New port: devel/p5-Gtk2-Notify - Perl interface to libnotify
Summary: New port: devel/p5-Gtk2-Notify - Perl interface to libnotify
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-14 04:00 UTC by lichray
Modified: 2012-04-29 18:20 UTC (History)
0 users

See Also:


Attachments
p5-Gtk2-Notify.shar (3.43 KB, text/plain)
2011-10-14 04:00 UTC, lichray
no flags Details
p5-Gtk2-Notify_1.shar (6.54 KB, application/x-shar)
2012-04-29 11:39 UTC, lichray
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description lichray 2011-10-14 04:00:18 UTC
	
	Port Gtk2::Notify to FreeBSD. The module itself is old, and the patch which make it works is taken from Archlinux.

	NOTE!!!
	The Perl must be built with threads to use this. But the reason that I do not detect for the threads support here is... Gtk2 should require perl-threaded! Not Gtk2-Notify. Currently, some of the p5-Gtk2 widget does not work, such as FileChooser. This needs to be fixed.
Comment 1 Edwin Groothuis freebsd_committer 2011-10-14 04:00:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Po-Chuan Hsieh freebsd_committer 2011-11-16 14:17:12 UTC
Responsible Changed
From-To: perl->sunpoet

I'll take it.
Comment 3 lichray 2012-04-29 11:39:21 UTC
I've fixed the make test. All statusicon/widget related APIs are
deprecated. Note that some tests requires p5-Test-Exception (ignored
from DEPENDS).
Currently audio/gmusicbrowser can make use of this port, and they work well.

-- 
Zhihao Yuan, nickname lichray
The best way to predict the future is to invent it.
___________________________________________________
4BSD -- http://4bsd.biz/
Comment 4 Po-Chuan Hsieh freebsd_committer 2012-04-29 18:19:47 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 5 dfilter service freebsd_committer 2012-04-29 18:19:49 UTC
sunpoet     2012-04-29 17:19:34 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/p5-Gtk2-Notify Makefile distinfo pkg-descr pkg-plist 
    devel/p5-Gtk2-Notify/files patch-t-notification.t 
                               patch-xs-Notify.xs 
  Log:
  - Add p5-Gtk2-Notify 0.05
  
  Gtk2::Notify provides a Perl XS API to the The Desktop Notifications
  framework, which provides a standard way of doing passive pop-up
  notifications on the desktop.
  
  WWW: http://search.cpan.org/dist/Gtk2-Notify/
  
  PR:             ports/161571
  Submitted by:   Zhihao Yuan <lichray@gmail.com>
  
  Revision  Changes    Path
  1.4936    +1 -0      ports/devel/Makefile
  1.1       +30 -0     ports/devel/p5-Gtk2-Notify/Makefile (new)
  1.1       +2 -0      ports/devel/p5-Gtk2-Notify/distinfo (new)
  1.1       +51 -0     ports/devel/p5-Gtk2-Notify/files/patch-t-notification.t (new)
  1.1       +84 -0     ports/devel/p5-Gtk2-Notify/files/patch-xs-Notify.xs (new)
  1.1       +5 -0      ports/devel/p5-Gtk2-Notify/pkg-descr (new)
  1.1       +12 -0     ports/devel/p5-Gtk2-Notify/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"